### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartns550_selftest.c File Reference

## Detailed Description

This file contains the self-test functions for the 16450/16550 UART driver.

     MODIFICATION HISTORY:

     Ver   Who  Date	 Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/16/01 First release
     1.00b jhl  03/11/02 Repartitioned driver for smaller files.
     1.11a sv   03/20/07 Updated to use the new coding guidelines.

## Functions

int | XUartNs550_SelfTest (XUartNs550 *InstancePtr)

## Function Documentation

int XUartNs550_SelfTest | ( | XUartNs550 * | InstancePtr | ) |

This functions runs a self-test on the driver and hardware device. This self test performs a local loopback and verifies data can be sent and received.

The statistics are cleared at the end of the test. The time for this test to execute is proportional to the baud rate that has been set prior to calling this function.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance

Returns:

- XST_SUCCESS if the test was successful
- XST_UART_TEST_FAIL if the test failed looping back the data

Note:
  This function can hang if the hardware is not functioning properly.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.